var URL_VERIFY = "http://api.hithere.com/user/verify";
var URL_FIND_PASSWORD = "http://passport.hithere.com/user/findPasswordJsonp";
var URL_VERIFY_EMAIL = "http://passport.hithere.com/user/loginVerifyEmailJsonp";
var URL_LOGIN = "http://api.hithere.com/mp/loginJsonp";
var URL_GET_KEY = "http://api.hithere.com/mp/getJsonpKey";
var URL_REGISTER = "http://api.hithere.com/mp/register";
var URL_RANDOM_REGISTER = "http://api.hithere.com/mp/randomRegister";
var URL_QA = "http://service.hithere.com/onlineqa.php";
var URL_BBS = "http://service.hithere.com/cookieJump.php?mode=bbs";
var URL_IS_BIND_EMAIL = "http://passport.hithere.com/user/isBindEmailJsonp";
var URL_BIND_EMAIL = "http://passport.hithere.com/user/bindUserEmailJsonp";
var URL_PAY_LOG = "http://pay.api.hithere.com/payHistoryLog?platform=mobile";
var URL_FACEBOOK_LOGIN = "http://passport.hithere.com/fb/login?channel=fb&platform=mobile";
var URL_GOOGLE_LOGIN = "http://passport.hithere.com/google/login?channel=google&platform=mobile";

var URL_ENTRANCE_CONTROLL = "http://api.hithere.com/isOnline";//入口控制请求地址

var URL_VERIFY_DEBUG = "http://api.hithere-test.com/user/verify";
var URL_FIND_PASSWORD_DEBUG = "http://passport.hithere-test.com/user/findPasswordJsonp";
var URL_VERIFY_EMAIL_DEBUG = "http://passport.hithere-test.com/user/loginVerifyEmailJsonp";
var URL_LOGIN_DEBUG = "http://api.hithere-test.com/mp/loginJsonp";
var URL_GET_KEY_DEBUG = "http://api.hithere-test.com/mp/getJsonpKey";
var URL_REGISTER_DEBUG = "http://api.hithere-test.com/mp/register";
var URL_RANDOM_REGISTER_DEBUG = "http://api.hithere-test.com/mp/randomRegister";
var URL_QA_DEBUG = "http://service.hithere-test.com/onlineqa.php";
var URL_BBS_DEBUG = "http://service.hithere-test.com/cookieJump.php?mode=bbs";
var URL_IS_BIND_EMAIL_DEBUG = "http://passport.hithere-test.com/user/isBindEmailJsonp";
var URL_BIND_EMAIL_DEBUG = "http://passport.hithere-test.com/user/bindUserEmailJsonp";
var URL_PAY_LOG_DEBUG = "http://pay.api.hithere-test.com/payHistoryLog?platform=mobile";
var URL_FACEBOOK_LOGIN_DEBUG = "http://passport.hithere-test.com/fb/login?channel=fb&platform=mobile";
var URL_GOOGLE_LOGIN_DEBUG = "http://passport.hithere-test.com/google/login?channel=google&platform=mobile";

var currGameCode = null;


function jsonp(url,data,successFunc,method,errorFunc,timeOutFunc){
    var callback=((url.indexOf("?")>-1)?"&":"?")+"callback=?";
    var isTimeOut = false;
    var isComplete = false;
    var sendMethod = method == "POST" ? method : "GET";

    var t=setTimeout(
    function(){
    	$.mobile.loading("hide");
        isTimeOut=true;
        if(isComplete==false && timeOutFunc != null){
            timeOutFunc();
        }
    },8000);

    $.mobile.loading( 'show', {
			text: "",
			textVisible: true,
			theme: "b",
			textonly: false,
			html: ""
		});

    if(sendMethod == "GET"){

        $.get( url+callback, data, function(result) {
            if(isTimeOut) return;

            if(successFunc != null){
                isComplete=true;
                successFunc(result);
            }
        },"jsonp")
        .fail(function() {
            if(errorFunc != null){
                errorFunc();
            }
        })
        .always(function() {
        	$.mobile.loading("hide");
            clearTimeout(t);
        });
    }else{
        $.post( url+callback, data, function(result) {
            if(isTimeOut) return;
            if(successFunc != null){
                isComplete=true;
                successFunc(result);
            }
        },"jsonp")
        .fail(function() {
            if(errorFunc != null){
                errorFunc();
            }
        })
        .always(function() {
        	$.mobile.loading("hide");
            clearTimeout(t);
        });
    }

}

function isAndroid(){
	var user_agent = window.navigator.userAgent.toLowerCase();
	return user_agent.indexOf('android') > -1;
}
function isIos(){
	var user_agent = window.navigator.userAgent.toLowerCase();
	return user_agent.indexOf('iphone') > -1 || user_agent.indexOf('ipad') > -1 || user_agent.indexOf('itouch') > -1;
}

function sendNativeCommand(cmd,param){
    if(isAndroid())
    {
		AndroidInterface.call(cmd,param);
    }else if(isIos()){
		var url="ios-call:"+cmd;
		if(param)
		{
		    url=url+":"+param.toString();
		}
		document.location = url;
    }
}
var emailReg=/^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
var pwdReg=/^[a-z0-9_\-\.*~`][a-z0-9_\-\.* ~`]{6,20}[a-z0-9_\-\.*~`]$/i;
var accountReg=/^[0-9]{8}$/i;

$(function(){
	$("#uname").focus(function(){
		if($("#uname").val() == i18n.tf_email){
			$("#uname").val("");
		}
	}).blur(function(){
		$("#pwd").val("");
		if($("#pwd").attr("type") == "text"){
			$("#pwd").attr("type","password");
		}
	});
	$("#pwd").focus(function(){
		if($("#pwd").val() == i18n.tf_password_default){
			$("#pwd").val("");
		}
	});
	$("#sendEmail").focus(function(){
		if($("#sendEmail").val() == i18n.tf_find_email){
			$("#sendEmail").val("");
		}
	});
	$("#loginSendEmail").focus(function(){
		if($("#loginSendEmail").val() == i18n.tf_find_email){
			$("#loginSendEmail").val("");
		}
	});

	$("#regname").focus(function(){
		if($("#regname").val() == i18n.tf_email){
			$("#regname").val("");
		}
	}).blur(function(){
		if(emailReg.test($("#regname").val())){
			var timeOutFunc = function(){
				alert(i18n.networkTimesOut);
			};
			var errorFunc = function(){
			};
			var verifyData = {name:$("#regname").val()};
			var successFunc = function(result){
					if(result.valid == "N"){
						$(".error").html(i18n.emailExist);
					}else{
						$(".error").html("");
					}
			};
			jsonp(URL_VERIFY,verifyData,successFunc,"GET",errorFunc,timeOutFunc);
		}else{
			$(".error").html(i18n.emailError);
		}
	});


	$("#rname").focus(function(){
		if($("#rname").val() == i18n.findPW_setEmail){
			$("#rname").val("");
		}
	}).blur(function(){
		if(emailReg.test($("#rname").val())){
			var timeOutFunc = function(){
				alert(i18n.networkTimesOut);
			};
			var errorFunc = function(){
				alert(i18n.networkError);
			};
			var verifyData = {name:$("#rname").val()};
			var successFunc = function(result){
					if(result.valid == "N"){
						$(".error").html(i18n.emailExist);
					}else{
						$(".error").html("");
					}
			};
			jsonp(URL_VERIFY,verifyData,successFunc,"GET",errorFunc,timeOutFunc);
		}else{
			$(".error").html(i18n.emailError);
		}
	});

	$("#email_once").focus(function(){
		if($("#email_once").val() == i18n.email_binded){
			$("#email_once").val("");
		}
	});

	$("#rpwd").focus(function(){
		if($("#rpwd").val() == i18n.tf_password_default){
			$("#rpwd").val("");
		}
	}).blur(function(){
		if($("#rpwd").val().length < 6){
			$(".error").html(i18n.error_email_length);
		}else{
			$(".error").html("");
		}
	});

	$("#rrepwd").focus(function(){
		if($("#rrepwd").val() == i18n.tf_password_default){
			$("#rrepwd").val("");
		}
	}).blur(function(){
		if($("#rrepwd").val().length < 6){
			$(".error").html(i18n.error_email_length);
		}else if($("#rrepwd").val() !=  $("#rpwd").val()){
			$(".error").html(i18n.error_email_compare);
		}else{
			$(".error").html("");
		}
	});
})

$(function(){
	$("#sendEmailBtn").click(function(){
		if(!emailReg.test($("#sendEmail").val()) || $("#sendEmail").val() == ""){
			$(".forgetpwd_error").html(i18n.emailError);
		}else{
			$(".forgetpwd_error").html("");
			$(".forgetpwd_right").html(i18n.lb_email_sending);
			var sendData = {email:$("#sendEmail").val(),platform:"mobile"};
			var successFuc = function(result){
				if(result.status == 1){
					$(".forgetpwd_error").html("");
					$(".forgetpwd_right").html(i18n.lb_email_sending_succ);
				}else if(result.status == -2){
					$(".forgetpwd_error").html(i18n.error_email_not_exist);
					$(".forgetpwd_right").html("");
				}else{
					$(".forgetpwd_error").html(i18n.error_email_sending_fail);
					$(".forgetpwd_right").html("");
				}
			}
			jsonp(URL_FIND_PASSWORD,sendData,successFuc,"GET",null,null);
		}
	});
})
$(function(){
	$("#loginSendEmailBtn").click(function(){
		$(".forgetpwd .error").html("");
		$(".forgetpwd .right").html("");
		if(!emailReg.test($("#loginSendEmail").val()) || $("#loginSendEmail").val() == ""){
			$(".forgetpwd .error").html(i18n.emailError);
		}else{
			$(".forgetpwd .error").html("");
			$(".forgetpwd .right").html("校驗中!");
			var sendData = {uid:$("#uid").val(),email:$("#loginSendEmail").val(),platform:"mobile"};
			var successFuc = function(result){
				if(result.status == 1){
					$(".forgetpwd .error").html("");
					$(".forgetpwd .right").html(i18n.lb_email_sending_succ);
				}else if(result.status == -1){
					$(".forgetpwd .error").html(i18n.error_email_null);
					$(".forgetpwd .right").html("");
				}else if(result.status == 0){
					$(".forgetpwd .error").html(i18n.error_email_looking_fail);
					$(".forgetpwd .right").html("");
				}else if(result.status == -2){
					$(".forgetpwd .error").html(i18n.error_email_not_exist);
					$(".forgetpwd .right").html("");
				}else{
					$(".forgetpwd .error").html(i18n.error_email_sending_fail);
					$(".forgetpwd .right").html("");
				}
			}
			jsonp(URL_VERIFY_EMAIL,sendData,successFuc,"GET",null,null);
		}
	});
})

function login(){
	var uname = $("#uname").val();
	var pwd = $("#pwd").val();
	var autologin = document.getElementById("autologin").checked; //true or false
	var timeOutFunc = function(){
		alert("連接超時");
	};
	var errorFunc = function(){
		alert("無法連接伺服器");
	};
	var successFunc = function(result){
		 	pkey=result.pkey;
		 	var rsa = new RSAKey();
		 	rsa.setPublic(result.n, result.e);
		 	var res = rsa.encrypt(pwd);
		 	var loginData = {username:uname,password:res,gkey:result.gkey,gamecode:currGameCode};
		 	var loginSuccess = function(loginResult){
		 	if(loginResult.result == "true"){
				sendNativeCommand("loginSuccess",[loginResult.id,loginResult.societyguestname,pwd,loginResult.t,autologin.toString()]);
		 	}else{
				alert(i18n.error_verify_fail);
		 	}

		 }
		 jsonp(URL_LOGIN,loginData,loginSuccess,"GET",errorFunc,timeOutFunc);
	};

	if(uname ==  "" || pwd == ""){
			alert(i18n.error_field_empty);
	}else{
		jsonp(URL_GET_KEY,null,successFunc,"GET",errorFunc,timeOutFunc);
	}
}
function autoLogin(uname, password){
	document.getElementById("uname").value = uname;
	document.getElementById("pwd").value = password;
	$("#autologin").attr("checked",true).checkboxradio("refresh");
	login();
}

function register(){
	var timeOutFunc = function(){
		alert('連接超時!');
	};
	var errorFunc = function(){
		alert('出錯了!');
	};

	var uname = $("#regname").val();
	var pwd = $("#rpwd").val();
	//var repwd = $("#rrepwd").val();
	var successRegFunc = function(result){
	 	if(result.result == "true"){
	 		sendNativeCommand("registerSuccess",[result.id,result.societyguestname,result.t]);
	 		sendNativeCommand("loginSuccess",[result.id,result.societyguestname,pwd,result.t,"false"]);
		}else{
			if(result.error_code == "10203"){
				alert(i18n.emailExist)
			}else{
	 			alert(result.error_info);
			}
	 	}
	};


	var resData = {name:uname,password:pwd,repassword:pwd,lang:i18n.lang,gamecode:currGameCode};

	if(!emailReg.test($("#regname").val())){
		$(".error").html(i18n.emailError);
	}else if(pwd == i18n.tf_password_default){
		$(".error").html(i18n.error_password_empty);
	}else{
			var verifyData = {name:$("#regname").val()};
			var successFunc = function(result){
					if(result.valid == "N"){
						$(".error").html(i18n.emailExist);
					}else{
						if($("#rpwd").val().length < 6){
							$(".error").html(i18n.error_email_length);
						}else{
							jsonp(URL_REGISTER,resData,successRegFunc,"POST",errorFunc,timeOutFunc);
							$(".error").html("");
						}
						
						//else if($("#rrepwd").val() !=  $("#rpwd").val()){
							//$(".error").html("輸入的密碼不一致!");
						//}
						
					}
			};
			jsonp(URL_VERIFY,verifyData,successFunc,"GET",errorFunc,timeOutFunc);
	}
}

function quickRegister(){
	var uname_once = $("#uname_once").text();
	var pwd_once = $("#pwd_once").text();
	var successQuickFunc = function(result){
	 	if(result.result == "true"){
	 		 sendNativeCommand("registerSuccess",[result.id,result.societyguestname,result.t]);
	 	     sendNativeCommand("loginSuccess",[result.id,result.societyguestname,pwd_once,result.t,"false"]);
		}else{
			$("#once_error").html(i18n.error_register_fail);
		}
	};
	var resData = {name:uname_once,password:pwd_once,repassword:pwd_once,lang:i18n.lang,gamecode:currGameCode};
	if($("#email_once").val() != "" && $("#email_once").val() != i18n.email_binded){
		resData.email = $("#email_once").val();
	}
	if($("#email_once").val() != i18n.email_binded && $("#email_once").val() != ""){
			if(emailReg.test($("#email_once").val())){
				var timeOutFunc = function(){
					$("#once_error").html(i18n.networkTimesOut);
				};
				var errorFunc = function(){
					$("#once_error").html(i18n.networkError);
				};
				var verifyData = {name:$("#email_once").val()};
				var successFunc = function(result){
						if(result.valid == "N"){
							$("#once_error").html(i18n.emailExist);
						}else{
							jsonp(URL_REGISTER,resData,successQuickFunc,"POST",null,null);
							$("#once_error").html("");
						}
				};
				jsonp(URL_VERIFY,verifyData,successFunc,"GET",errorFunc,timeOutFunc);
			}else{
				$("#once_error").html(i18n.emailError);
			}
	}else {
		resData.email = "";
		jsonp(URL_REGISTER,resData,successQuickFunc,"POST",null,null);
	}
}

function getAccount(){
	var timeOutFunc = function(){
		alert(i18n.networkTimesOut);
	};
	var errorFunc = function(){
		alert(i18n.networkError);
	};
	var successFunc = function(result){
		$("#uname_once").text(result.userName);
		$("#pwd_once").text(result.password);
	};
	jsonp(URL_RANDOM_REGISTER,null,successFunc,"GET",errorFunc,timeOutFunc);
}
var __userList;/*勿动,此变量存储历史账户信息*/
function getHistoryUsers(){
	sendNativeCommand("getHistoryUsers");
	$("#do_popup_select_user").hide();
	$(".page .login .ui-input-text").first().removeClass('fl');
}
function onGetHistoryUserFinish(array,autoLogin){
	__userList = eval('(' + array + ')');

	for (var i = 0; i < __userList.length; i++){
	    if(i == 0){
			$("#uname").val(__userList[i].name);
			if(accountReg.test(__userList[i].name)){
				$("#pwd").attr("type","text");
				$("#pwd").val(__userList[i].password);
			}else{
				$("#pwd").attr("type","password");
				$("#pwd").val(__userList[i].password);			
			}

		}
		$("#all_user_list").append('<li class="ui-li-has-alt" my-list-data-string="' + i + '"><a href="#" class="ui-btn btnForChangeUser">' + __userList[i].name + '</a><a class="ui-btn ui-btn-icon-notext ui-icon-delete btnForDeleteUser">X</a></li>');

	}

	//有历史账户则显示下拉按钮,绑定选择&删除事件
	if (i != 0)	{
		$(".page .login .ui-input-text").first().addClass('fl');
		$("#do_popup_select_user").show();
		$(".btnForChangeUser").click(function(){
			var i = $(this).parent().attr('my-list-data-string');
			$("#uname").val(__userList[i].name);
			if(accountReg.test(__userList[i].name)){
				$("#pwd").attr("type","text");
				$("#pwd").val(__userList[i].password);
			}else{
				$("#pwd").attr("type","password");
				$("#pwd").val(__userList[i].password);			
			}
			$("#popup_select_user").popup("close");
		});
		$(".btnForDeleteUser").click(function(){
			var i = $(this).parent().attr('my-list-data-string');
			sendNativeCommand("deleteUser",[__userList[i].name]);
			$(this).parent().remove();
			var j = $("#all_user_list li:first-child").attr('my-list-data-string');
			if ((__userList[i].name == $("#uname").val()) && (typeof(j) !== "undefined")){
				$("#uname").val(__userList[j].name);
				$("#pwd").val(__userList[j].password);
			}
			//所有元素删除完毕自动关闭浮层
			if(typeof(j) === "undefined"){
				$("#uname").val('');
				$("#pwd").val('');
				$("#popup_select_user").popup("close");
				$("#do_popup_select_user").hide();
				$(".page .login .ui-input-text").first().removeClass('fl');
			}
		});
	    if(autoLogin)
	    {
			$("#autologin").attr("checked",true).checkboxradio("refresh");
			login();
	    }
	}
}

/** 用户中心 js**/
function checkUser(){
	sendNativeCommand("getLoginUser");
}
function onUserCheckFinish(uid,t){
	$("#uid").attr("value",uid);
	$("#t").attr("value",t);
	$(".user .info2").html("UID:"+uid);
}
function goOnlineQA(){
	location.href = URL_QA + "?t=" + $("#t").val();
}

function goBBS(){
	location.href = URL_BBS + "&gamecode=" + currGameCode + "&id=" + $("#uid").val() + "&t=" + $("#t").val() ;
}
function clearFbSession(){
	sendNativeCommand("clearFacebookSession");
}
function checkFbSession(isFBLogin){
	if(isFBLogin){
		$("#fbSessionbtn").show();
	}else{
		$("#fbSessionbtn").hide();
	}
	
}

$(function(){
  $("#ucbtn").click(function (){
		var uid = $("#uid").val();
		var uData = {uid:uid}
		var timeOutFunc = function(){
			alert(i18n.networkTimesOut);
		};
		var errorFunc = function(){
			alert(i18n.networkError);
		};
		var successFunc = function (result){
			if(result.status == 1){
				location.href = $("#ucbtn_page").val();
			}else if(result.status == -1){
				$(".user .error").html(i18n.error_user_not_found);
			}else{
					var $forgetpwd = $(".forgetpwd");
					if($forgetpwd.is(":visible")){
						$forgetpwd.slideUp();
					}else{
						$forgetpwd.slideDown();
					}
			}
		}
		jsonp(URL_IS_BIND_EMAIL,uData,successFunc,"GET",errorFunc,timeOutFunc);
  })
})

$(function(){
	$("#bindEmailBtn").click(function(){
		var timeOutFunc = function(){
			alert(i18n.networkTimesOut);
		};
		var errorFunc = function(){
			alert(i18n.networkError);
		};
		var successBindFunc = function(result){
			if(result.status == "1"){
				location.href = $("#bindEmailBtn_page").val();
			}else if(result.status == "0"){
				$(".error").html(i18n.error_email_can_not_use);
			}else if(result.status == "-1"){
				$(".error").html(i18n.error_not_login);
			}else if(result.status == "-2"){
				$(".error").html(i18n.error_modify_pw);
			}else if(result.status == "-3"){
				$(".error").html(i18n.error_binding_email);
			}else if(result.status == "-4"){
				$(".error").html(i18n.error_sending_email);
			}
		};
		var uname = $("#rname").val();
		var pwd = $("#rpwd").val();
		var repwd = $("#rrepwd").val();
		var t = $("#t").val();

		var resData = {t:t,email:uname,pwd:pwd,rpwd:repwd,platform:"mobile"};

		if(!emailReg.test($("#rname").val())){
			$(".error").html(i18n.emailError);
		}else if(pwd == i18n.tf_password_default){
			$(".error").html(i18n.error_password_empty);
		}else{
				var verifyData = {name:$("#rname").val()};
				var successFunc = function(result){
						if(result.valid == "N"){
							$(".error").html(i18n.emailExist);
						}else{
							if($("#rrepwd").val().length < 6){
								$(".error").html(i18n.error_email_length);
							}else if($("#rrepwd").val() !=  $("#rpwd").val()){
								$(".error").html(i18n.error_email_compare);
							}else{
								jsonp(URL_BIND_EMAIL,resData,successBindFunc,"POST",null,null);
								$(".error").html("");
							}
						}
				};
				jsonp(URL_VERIFY,verifyData,successFunc,"GET",errorFunc,timeOutFunc);
		}
	})
})

function modifyMyPassword()
{
	checkUser();
	var verifyData = {name:$("#rname").val()};
	var successFunc = function(result){
			if(result.valid == "N"){
				$(".error").html(i18n.emailExist);
			}else{
				if($("#rrepwd").val().length < 6){
					$(".error").html(i18n.error_email_length);
				}else if($("#rrepwd").val() !=  $("#rpwd").val()){
					$(".error").html(i18n.error_email_compare);
				}else{
					jsonp(URL_BIND_EMAIL,resData,successBindFunc,"POST",null,null);
					$(".error").html("");
				}
			}
	};
	jsonp(URL_VERIFY,verifyData,successFunc,"GET",errorFunc,timeOutFunc);

}

function onReceiveDebugMode(isDebugMode, gameCode, gameVersion, deviceType){
	currGameCode = gameCode;
	if(isDebugMode == 1){
		URL_VERIFY = URL_VERIFY_DEBUG;
		URL_FIND_PASSWORD = URL_FIND_PASSWORD_DEBUG;
		URL_VERIFY_EMAIL = URL_VERIFY_EMAIL_DEBUG;
		URL_LOGIN = URL_LOGIN_DEBUG;
		URL_GET_KEY = URL_GET_KEY_DEBUG;
		URL_REGISTER = URL_REGISTER_DEBUG;
		URL_RANDOM_REGISTER = URL_RANDOM_REGISTER_DEBUG;
		URL_QA = URL_QA_DEBUG;
		URL_BBS = URL_BBS_DEBUG;
		URL_IS_BIND_EMAIL = URL_IS_BIND_EMAIL_DEBUG;
		URL_BIND_EMAIL = URL_BIND_EMAIL_DEBUG;
		URL_PAY_LOG = URL_PAY_LOG_DEBUG;
		URL_FACEBOOK_LOGIN = URL_FACEBOOK_LOGIN_DEBUG;
		URL_GOOGLE_LOGIN = URL_GOOGLE_LOGIN_DEBUG;
		//$("#btn_google").show();
		$("#qabtn").show();
		$("#bbsbtn").show();
	}else{
		var timeOutFunc = function(){
		};
		var errorFunc = function(){
			
		};
		var param = {gameCode:gameCode,version:gameVersion,diviceType:deviceType};
		var successFunc = function(result){
			var strUrl=window.location.href;
			var arrUrl=strUrl.split("/");
			var strPage=arrUrl[arrUrl.length-1];
			if(strPage.indexOf("user") > -1){
				if(result.isOnline == "true"){
					$("#qabtn").show();
					$("#bbsbtn").show();
				}else{
					$("#qabtn").hide();
					$("#bbsbtn").hide();
				}	
			}

		};
		
		jsonp(URL_ENTRANCE_CONTROLL,param,successFunc,"GET",errorFunc,timeOutFunc);
	}

}

$(function (){
	$("#payLogBtn").click(function(){
		location.href = URL_PAY_LOG + "&ticket="+$("#t").val();
	});
	$("#btn_facebook").click(function(){
		window.open(URL_FACEBOOK_LOGIN,'_blank');
	});
	$("#btn_google").click(function(){
		location.href = URL_GOOGLE_LOGIN;
	});
})